Index: /LMDZ6/branches/Amaury_dev/libf/misc/wxios.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/misc/wxios.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/misc/wxios.F90	(revision 5116)
@@ -359,10 +359,10 @@
     !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
     SUBROUTINE wxios_domain_param(dom_id)
-       USE dimphy, only: klon
+       USE dimphy, ONLY: klon
        USE lmdz_phys_transfert_para, ONLY: gather, bcast
-       USE lmdz_phys_para, only: jj_nb, jj_begin, jj_end, ii_begin, ii_end, &
+       USE lmdz_phys_para, ONLY: jj_nb, jj_begin, jj_end, ii_begin, ii_end, &
                                      mpi_size, mpi_rank, klon_mpi, &
                                      is_sequential, is_south_pole_dyn
-       USE lmdz_grid_phy, only: nbp_lon, nbp_lat, klon_glo
+       USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, klon_glo
        USE lmdz_print_control, ONLY: prt_level, lunout
        USE lmdz_geometry
@@ -390,5 +390,5 @@
         io_lat(1)=rlat_glo(1)
         io_lat(nbp_lat)=rlat_glo(klon_glo)
-        IF ((nbp_lon*nbp_lat) > 1) then
+        IF ((nbp_lon*nbp_lat) > 1) THEN
           DO i=2,nbp_lat-1
             io_lat(i)=rlat_glo(2+(i-2)*nbp_lon)
@@ -532,11 +532,11 @@
         
         ! Ehouarn: New way to declare axis, without axis_group:
-        if (PRESENT(positif) .AND. PRESENT(bnds)) then
+        if (PRESENT(positif) .AND. PRESENT(bnds)) THEN
           CALL xios_set_axis_attr(trim(axis_id),n_glo=axis_size,value=axis_value, &
                                   positive=positif, bounds=bnds)
-        else if (PRESENT(positif)) then
+        else if (PRESENT(positif)) THEN
           CALL xios_set_axis_attr(trim(axis_id),n_glo=axis_size,value=axis_value, &
                                   positive=positif)
-        else if (PRESENT(bnds)) then
+        else if (PRESENT(bnds)) THEN
           CALL xios_set_axis_attr(trim(axis_id),n_glo=axis_size,value=axis_value, &
                                   bounds=bnds)
@@ -605,5 +605,5 @@
     !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
     SUBROUTINE wxios_add_field(fieldname, fieldgroup, fieldlongname, fieldunit)
-        USE netcdf, only: nf90_fill_real
+        USE netcdf, ONLY: nf90_fill_real
 
         IMPLICIT NONE
Index: /LMDZ6/branches/Amaury_dev/libf/obsolete/juldate.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/obsolete/juldate.f90	(revision 5116)
+++ /LMDZ6/branches/Amaury_dev/libf/obsolete/juldate.f90	(revision 5116)
@@ -0,0 +1,41 @@
+! Amaury (07/2024): utilisé nulle part, code de <2004
+! Je suggère de bouger dans obsolète
+
+! $Id$
+
+  SUBROUTINE juldate(ian,imoi,ijou,oh,om,os,tjd,tjdsec)
+  ! Sous-routine de changement de date:
+  ! gregorien>>>date julienne
+  ! En entree:an,mois,jour,heure,min.,sec.
+  ! En sortie:tjd
+    IMPLICIT NONE
+    INTEGER,INTENT(IN) :: ian,imoi,ijou,oh,om,os
+    REAL,INTENT(OUT) :: tjd,tjdsec
+
+    REAL :: frac,year,rmon,cf,a,b
+    INTEGER :: ojou
+
+    frac=((os/60.+om)/60.+oh)/24.
+    ojou=dble(ijou)+frac
+        year=dble(ian)
+        rmon=dble(imoi)
+    if (imoi <= 2) THEN
+        year=year-1.
+        rmon=rmon+12.
+    endif
+    cf=year+(rmon/100.)+(ojou/10000.)
+    if (cf >= 1582.1015) THEN
+        a=int(year/100)
+        b=2-a+int(a/4)
+    else
+        b=0
+    endif
+    tjd=int(365.25*year)+int(30.6001*(rmon+1))+int(ojou) &
+          +1720994.5+b
+    tjdsec=(ojou-int(ojou))+(tjd-int(tjd))
+    tjd=int(tjd)+int(tjdsec)
+    tjdsec=tjdsec-int(tjdsec)
+
+END SUBROUTINE juldate
+
+
Index: /LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_abort_physic.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_abort_physic.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_abort_physic.F90	(revision 5116)
@@ -18,22 +18,22 @@
     !         ierr    = severity of situation ( = 0 normal )
 
-    character(len = *), intent(in) :: modname
+    CHARACTER(LEN = *), intent(in) :: modname
     integer ierr, ierror_mpi
-    character(len = *), intent(in) :: message
+    CHARACTER(LEN = *), intent(in) :: message
 
-    write(lunout, *) 'in abort_physic'
+    WRITE(lunout, *) 'in abort_physic'
     !$OMP MASTER
     CALL histclo
     CALL restclo
-    if (mpi_rank == 0) then
+    if (mpi_rank == 0) THEN
       CALL getin_dump
     endif
     !$OMP END MASTER
 
-    write(lunout, *) 'Stopping in ', modname
-    write(lunout, *) 'Reason = ', message
-    if (ierr == 0) then
-      write(lunout, *) 'Everything is cool'
-      if (using_mpi) then
+    WRITE(lunout, *) 'Stopping in ', modname
+    WRITE(lunout, *) 'Reason = ', message
+    if (ierr == 0) THEN
+      WRITE(lunout, *) 'Everything is cool'
+      if (using_mpi) THEN
         !$OMP CRITICAL (MPI_ABORT_PHYSIC)
         CALL MPI_ABORT(COMM_LMDZ_PHY, 0, ierror_mpi)
@@ -43,6 +43,6 @@
       endif
     else
-      write(lunout, *) 'Houston, we have a problem, ierr = ', ierr
-      if (using_mpi) then
+      WRITE(lunout, *) 'Houston, we have a problem, ierr = ', ierr
+      if (using_mpi) THEN
         !$OMP CRITICAL (MPI_ABORT_PHYSIC)
         CALL MPI_ABORT(COMM_LMDZ_PHY, 1, ierror_mpi)
Index: /LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_phys_omp_data.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_phys_omp_data.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_phys_omp_data.F90	(revision 5116)
@@ -88,10 +88,10 @@
 !$OMP BARRIER
 
-   if ((is_north_pole_dyn) .AND. (omp_rank == 0 )) then
+   if ((is_north_pole_dyn) .AND. (omp_rank == 0 )) THEN
       is_north_pole_phy = .TRUE.
     else
       is_north_pole_phy = .FALSE.
     endif
-    if ((is_south_pole_dyn) .AND. (omp_rank == omp_size-1)) then
+    if ((is_south_pole_dyn) .AND. (omp_rank == omp_size-1)) THEN
       is_south_pole_phy = .TRUE.
     else
Index: /LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_print_control.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_print_control.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_print_control.f90	(revision 5116)
@@ -43,5 +43,5 @@
     INTEGER :: alarm_file = 15 ! in case we want/need to print out the special alarms in a separate file
 
-    IF (alert_first_call) then
+    IF (alert_first_call) THEN
       IF (alarm_file /= lunout) THEN
         OPEN(unit = alarm_file, file = "ALERTES.txt")
@@ -50,5 +50,5 @@
 
     alarm_couleur = alarm_color(niv_alerte)
-    IF (niv_alerte < 0 .OR. niv_alerte > 3) then
+    IF (niv_alerte < 0 .OR. niv_alerte > 3) THEN
       message = 'NIVEAU ALERTE INVALIDE  ' // message
       alarm_couleur = 'NOIRE  '
Index: /LMDZ6/branches/Amaury_dev/libf/phydev/comcstphy.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phydev/comcstphy.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phydev/comcstphy.F90	(revision 5116)
@@ -1,8 +1,8 @@
 module comcstphy
   
-  real :: rradius ! planet radius (m)
-  real :: rr      ! recuced gas constant: R/molar mass of atm
-  real :: rg      ! gravity
-  real :: rcpp    ! specific heat of the atmosphere
+  REAL :: rradius ! planet radius (m)
+  REAL :: rr      ! recuced gas constant: R/molar mass of atm
+  REAL :: rg      ! gravity
+  REAL :: rcpp    ! specific heat of the atmosphere
 
 end module comcstphy
Index: /LMDZ6/branches/Amaury_dev/libf/phydev/iophy.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phydev/iophy.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phydev/iophy.F90	(revision 5116)
@@ -25,14 +25,14 @@
 
   SUBROUTINE init_iophy_new(rlat, rlon)
-    USE dimphy, only: klon
-    USE lmdz_phys_para, only: gather, bcast, &
+    USE dimphy, ONLY: klon
+    USE lmdz_phys_para, ONLY: gather, bcast, &
             jj_nb, jj_begin, jj_end, ii_begin, ii_end, &
             mpi_size, mpi_rank, klon_mpi, &
             is_sequential, is_south_pole_dyn
-    USE lmdz_grid_phy, only: nbp_lon, nbp_lat, klon_glo
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, klon_glo
     USE lmdz_print_control, ONLY: lunout, prt_level
     USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
-    USE ioipsl, only: flio_dom_set
-    use wxios, only: wxios_domain_param, using_xios
+    USE ioipsl, ONLY: flio_dom_set
+    use wxios, ONLY: wxios_domain_param, using_xios
     IMPLICIT NONE
     real, dimension(klon), intent(in) :: rlon
@@ -50,5 +50,5 @@
     INTEGER, DIMENSION(2) :: dhe
     INTEGER :: i
-    integer :: data_ibegin, data_iend
+    INTEGER :: data_ibegin, data_iend
 
     CALL gather(rlat, rlat_glo)
@@ -61,5 +61,5 @@
     io_lat(1) = rlat_glo(1)
     io_lat(nbp_lat) = rlat_glo(klon_glo)
-    IF ((nbp_lon * nbp_lat) > 1) then
+    IF ((nbp_lon * nbp_lat) > 1) THEN
       DO i = 2, nbp_lat - 1
         io_lat(i) = rlat_glo(2 + (i - 2) * nbp_lon)
@@ -93,5 +93,5 @@
     dpl = (/ nbp_lon, jj_end /)
     dhs = (/ ii_begin - 1, 0 /)
-    if (mpi_rank==mpi_size - 1) then
+    if (mpi_rank==mpi_size - 1) THEN
       dhe = (/0, 0/)
     else
@@ -117,10 +117,10 @@
       END IF
 
-      if (prt_level>=10) then
-        write(lunout, *) "init_iophy_new: mpirank=", mpi_rank, " iibegin=", ii_begin, " ii_end=", ii_end, " jjbegin=", jj_begin, " jj_nb=", jj_nb, " jj_end=", jj_end
-        write(lunout, *) "init_iophy_new: mpirank=", mpi_rank, " nbp_lon=", nbp_lon, " nbp_lat=", nbp_lat
-        write(lunout, *) "init_iophy_new: mpirank=", mpi_rank, " data_ibegin=", data_ibegin, " data_iend=", data_iend
-        write(lunout, *) "init_iophy_new: mpirank=", mpi_rank, " data_ibegin=", data_ibegin, " data_iend=", data_iend
-        write(lunout, *) "init_iophy_new: mpirank=", mpi_rank, " is_south_pole=", is_south_pole_dyn
+      if (prt_level>=10) THEN
+        WRITE(lunout, *) "init_iophy_new: mpirank=", mpi_rank, " iibegin=", ii_begin, " ii_end=", ii_end, " jjbegin=", jj_begin, " jj_nb=", jj_nb, " jj_end=", jj_end
+        WRITE(lunout, *) "init_iophy_new: mpirank=", mpi_rank, " nbp_lon=", nbp_lon, " nbp_lat=", nbp_lat
+        WRITE(lunout, *) "init_iophy_new: mpirank=", mpi_rank, " data_ibegin=", data_ibegin, " data_iend=", data_iend
+        WRITE(lunout, *) "init_iophy_new: mpirank=", mpi_rank, " data_ibegin=", data_ibegin, " data_iend=", data_iend
+        WRITE(lunout, *) "init_iophy_new: mpirank=", mpi_rank, " is_south_pole=", is_south_pole_dyn
       endif
 
@@ -139,6 +139,6 @@
 
   SUBROUTINE histbeg_phy(name, itau0, zjulian, dtime, nhori, nid_day)
-    USE lmdz_phys_para, only: is_sequential, jj_begin, jj_end, jj_nb
-    use ioipsl, only: histbeg
+    USE lmdz_phys_para, ONLY: is_sequential, jj_begin, jj_end, jj_nb
+    use ioipsl, ONLY: histbeg
     USE lmdz_print_control, ONLY: prt_level, lunout
     USE lmdz_grid_phy, ONLY: nbp_lon
@@ -153,5 +153,5 @@
 
     !$OMP MASTER
-    if (is_sequential) then
+    if (is_sequential) THEN
       CALL histbeg(name, nbp_lon, io_lon, jj_nb, io_lat(jj_begin:jj_end), &
               1, nbp_lon, 1, jj_nb, itau0, zjulian, dtime, nhori, nid_day)
@@ -169,6 +169,6 @@
   ! SUBROUTINE histbeg_phyxios(name,itau0,zjulian,dtime,ffreq,lev,nhori,nid_day)
   SUBROUTINE histbeg_phyxios(name, ffreq, lev)
-    USE lmdz_phys_para, only: is_using_mpi, is_mpi_root
-    use wxios, only: wxios_add_file
+    USE lmdz_phys_para, ONLY: is_using_mpi, is_mpi_root
+    use wxios, ONLY: wxios_add_file
     IMPLICIT NONE
 
@@ -198,9 +198,9 @@
 
   SUBROUTINE histwrite2d_phy(nid, lpoint, name, itau, field)
-    USE dimphy, only: klon
-    USE lmdz_phys_para, only: Gather_omp, grid1Dto2D_mpi, &
+    USE dimphy, ONLY: klon
+    USE lmdz_phys_para, ONLY: Gather_omp, grid1Dto2D_mpi, &
             is_sequential, klon_mpi_begin, klon_mpi_end, &
             jj_nb, klon_mpi
-    USE ioipsl, only: histwrite
+    USE ioipsl, ONLY: histwrite
     USE lmdz_grid_phy, ONLY: nbp_lon
     USE lmdz_abort_physic, ONLY: abort_physic
@@ -216,5 +216,5 @@
     REAL :: Field2d(nbp_lon, jj_nb)
 
-    integer :: ip
+    INTEGER :: ip
     real, allocatable, dimension(:) :: fieldok
 
@@ -224,5 +224,5 @@
     !$OMP MASTER
     CALL grid1Dto2D_mpi(buffer_omp, Field2d)
-    if(.NOT.lpoint) THEN
+    IF(.NOT.lpoint) THEN
       ALLOCATE(index2d(nbp_lon * jj_nb))
       ALLOCATE(fieldok(nbp_lon * jj_nb))
@@ -232,5 +232,5 @@
       ALLOCATE(index2d(npstn))
 
-      if(is_sequential) then
+      IF(is_sequential) THEN
         !     klon_mpi_begin=1
         !     klon_mpi_end=klon
@@ -258,9 +258,9 @@
 
   SUBROUTINE histwrite3d_phy(nid, lpoint, name, itau, field)
-    USE dimphy, only: klon
-    USE lmdz_phys_para, only: Gather_omp, grid1Dto2D_mpi, &
+    USE dimphy, ONLY: klon
+    USE lmdz_phys_para, ONLY: Gather_omp, grid1Dto2D_mpi, &
             is_sequential, klon_mpi_begin, klon_mpi_end, &
             jj_nb, klon_mpi
-    USE ioipsl, only: histwrite
+    USE ioipsl, ONLY: histwrite
     USE lmdz_grid_phy, ONLY: nbp_lon
     USE lmdz_abort_physic, ONLY: abort_physic
@@ -284,5 +284,5 @@
     !$OMP MASTER
     CALL grid1Dto2D_mpi(buffer_omp, field3d)
-    if(.NOT.lpoint) THEN
+    IF(.NOT.lpoint) THEN
       ALLOCATE(index3d(nbp_lon * jj_nb * nlev))
       ALLOCATE(fieldok(nbp_lon * jj_nb, nlev))
@@ -293,5 +293,5 @@
       ALLOCATE(fieldok(npstn, nlev))
 
-      if(is_sequential) then
+      IF(is_sequential) THEN
         !      klon_mpi_begin=1
         !      klon_mpi_end=klon
@@ -323,8 +323,8 @@
 
   SUBROUTINE histwrite2d_xios(field_name, field)
-    USE dimphy, only: klon
-    USE lmdz_phys_para, only: gather_omp, grid1Dto2D_mpi, &
+    USE dimphy, ONLY: klon
+    USE lmdz_phys_para, ONLY: gather_omp, grid1Dto2D_mpi, &
             jj_nb, klon_mpi
-    USE lmdz_xios, only: xios_send_field
+    USE lmdz_xios, ONLY: xios_send_field
     USE lmdz_print_control, ONLY: prt_level, lunout
     USE lmdz_grid_phy, ONLY: nbp_lon
@@ -357,8 +357,8 @@
 
   SUBROUTINE histwrite3d_xios(field_name, field)
-    USE dimphy, only: klon, klev
-    USE lmdz_phys_para, only: gather_omp, grid1Dto2D_mpi, &
+    USE dimphy, ONLY: klon, klev
+    USE lmdz_phys_para, ONLY: gather_omp, grid1Dto2D_mpi, &
             jj_nb, klon_mpi
-    USE lmdz_xios, only: xios_send_field
+    USE lmdz_xios, ONLY: xios_send_field
     USE lmdz_print_control, ONLY: prt_level, lunout
     USE lmdz_grid_phy, ONLY: nbp_lon
@@ -373,5 +373,5 @@
     INTEGER :: ip, n, nlev
 
-    IF (prt_level >= 10) write(lunout, *)'Begin histrwrite3d_xios ', trim(field_name)
+    IF (prt_level >= 10) WRITE(lunout, *)'Begin histrwrite3d_xios ', trim(field_name)
 
     !Et on.... écrit
@@ -386,5 +386,5 @@
     !$OMP END MASTER
 
-    IF (prt_level >= 10) write(lunout, *)'End histrwrite3d_xios ', trim(field_name)
+    IF (prt_level >= 10) WRITE(lunout, *)'End histrwrite3d_xios ', trim(field_name)
   END SUBROUTINE histwrite3d_xios
 
Index: /LMDZ6/branches/Amaury_dev/libf/phydev/phyetat0.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phydev/phyetat0.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phydev/phyetat0.F90	(revision 5116)
@@ -6,5 +6,5 @@
 ! and do some resulting initializations
 
-  USE dimphy, only: klon
+  USE dimphy, ONLY: klon
   USE iostart, ONLY: open_startphy,get_field,close_startphy
   USE iophy, ONLY: init_iophy_new
Index: /LMDZ6/branches/Amaury_dev/libf/phydev/phys_state_var_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phydev/phys_state_var_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phydev/phys_state_var_mod.F90	(revision 5116)
@@ -19,8 +19,8 @@
 !  use dimphy, ONLY: klon
 
-!  if (.not.allocated(rlat)) then
+!  if (.not.allocated(rlat)) THEN
 !    ALLOCATE(rlat(klon),rlon(klon))
 !  else
-!    write(*,*) "phys_state_var_init: warning, rlat already allocated"
+!    WRITE(*,*) "phys_state_var_init: warning, rlat already allocated"
 !  endif
   
Index: /LMDZ6/branches/Amaury_dev/libf/phydev/physiq_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phydev/physiq_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phydev/physiq_mod.F90	(revision 5116)
@@ -24,5 +24,5 @@
 
       USE lmdz_xios, ONLY: xios_update_calendar, using_xios
-      USE wxios, only: wxios_add_vaxis, wxios_set_cal, wxios_closedef
+      USE wxios, ONLY: wxios_add_vaxis, wxios_set_cal, wxios_closedef
       USE iophy, ONLY: histwrite_phy
 
@@ -54,23 +54,23 @@
 integer,save :: itau=0 ! counter to count number of calls to physics
 !$OMP THREADPRIVATE(itau)
-real :: temp_newton(klon,klev)
-integer :: k
+REAL :: temp_newton(klon,klev)
+INTEGER :: k
 logical, save :: first=.TRUE.
 !$OMP THREADPRIVATE(first)
 
 ! For I/Os
-integer :: itau0
-real :: zjulian
-real :: dtime
-integer :: nhori ! horizontal coordinate ID
+INTEGER :: itau0
+REAL :: zjulian
+REAL :: dtime
+INTEGER :: nhori ! horizontal coordinate ID
 integer,save :: nid_hist ! output file ID
 !$OMP THREADPRIVATE(nid_hist)
-integer :: zvertid ! vertical coordinate ID
+INTEGER :: zvertid ! vertical coordinate ID
 integer,save :: iwrite_phys ! output every iwrite_phys physics step
 !$OMP THREADPRIVATE(iwrite_phys)
 integer,save :: iwrite_phys_omp ! intermediate variable to read iwrite_phys
                                 ! (must be shared by all threads)
-real :: t_ops ! frequency of the IOIPSL operations (eg average over...)
-real :: t_wrt ! frequency of the IOIPSL outputs
+REAL :: t_ops ! frequency of the IOIPSL operations (eg average over...)
+REAL :: t_wrt ! frequency of the IOIPSL outputs
 
 ! initializations
@@ -165,5 +165,5 @@
 ! IOIPSL
 #ifndef CPP_IOIPSL_NO_OUTPUT 
-IF (modulo(itau,iwrite_phys)==0) then
+IF (modulo(itau,iwrite_phys)==0) THEN
   CALL histwrite_phy(nid_hist,.FALSE.,"temperature",itau,t)
   CALL histwrite_phy(nid_hist,.FALSE.,"u",itau,u)
@@ -191,5 +191,5 @@
 
 ! if lastcall, then it is time to write "restartphy.nc" file
-IF (lafin) then
+IF (lafin) THEN
   CALL phyredem("restartphy.nc")
 END IF
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/coarsemission.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/coarsemission.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/coarsemission.f90	(revision 5116)
@@ -94,5 +94,5 @@
   REAL :: dust_ec(klon)
 
-  real :: tmp_var2(klon, nbtr) ! auxiliary variable to replace source
+  REAL :: tmp_var2(klon, nbtr) ! auxiliary variable to replace source
   REAL :: qmin, qmax
   !----------------------DUST Sahara ---------------
@@ -195,5 +195,5 @@
 
     DO i = 1, klon
-      if (maskd(i)>0) then
+      if (maskd(i)>0) THEN
         IF(id_fine>0)    source_tr(i, id_fine) = &
                 scale_param_dustacc(iregion_dust(i)) * &
@@ -266,5 +266,5 @@
   ENDDO
   CALL minmaxsource(tmp_var2, qmin, qmax, 'src: before SS emiss')
-  IF(id_coss>0) then
+  IF(id_coss>0) THEN
     print *, 'Source = ', SUM(source_tr(:, id_coss)), &
             MINVAL(source_tr(:, id_coss)), MAXVAL(source_tr(:, id_coss))
@@ -299,5 +299,5 @@
   ENDDO
   CALL minmaxsource(tmp_var2, qmin, qmax, 'src: after SS emiss')
-  IF(id_coss>0) then
+  IF(id_coss>0) THEN
     print *, 'Source = ', SUM(source_tr(:, id_coss)), &
             MINVAL(source_tr(:, id_coss)), MAXVAL(source_tr(:, id_coss))
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc.f90	(revision 5116)
@@ -35,7 +35,7 @@
 
   ierr = nf90_open ("limitcarbon.nc", nf90_nowrite, nid1)
-  if (ierr/=nf90_noerr) then
-    write(6, *)' Pb d''ouverture du fichier limitbc.nc'
-    write(6, *)' ierr = ', ierr
+  if (ierr/=nf90_noerr) THEN
+    WRITE(6, *)' Pb d''ouverture du fichier limitbc.nc'
+    WRITE(6, *)' ierr = ', ierr
     CALL exit(1)
   endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.f90	(revision 5116)
@@ -58,7 +58,7 @@
 
     ierr = nf90_open ("carbon_emissions.nc", nf90_nowrite, nid1)
-    if (ierr/=nf90_noerr) then
-      write(6, *)' Pb d''ouverture du fichier limitbc.nc'
-      write(6, *)' ierr = ', ierr
+    if (ierr/=nf90_noerr) THEN
+      WRITE(6, *)' Pb d''ouverture du fichier limitbc.nc'
+      WRITE(6, *)' ierr = ', ierr
       CALL exit(1)
     endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs.f90	(revision 5116)
@@ -36,7 +36,7 @@
 
   ierr = nf90_open ("limitsoufre.nc", nf90_nowrite, nid)
-  if (ierr/=nf90_noerr) then
-    write(6, *)' Pb d''ouverture du fichier limitsoufre.nc'
-    write(6, *)' ierr = ', ierr
+  if (ierr/=nf90_noerr) THEN
+    WRITE(6, *)' Pb d''ouverture du fichier limitsoufre.nc'
+    WRITE(6, *)' ierr = ', ierr
     CALL exit(1)
   endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs_new.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs_new.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs_new.f90	(revision 5116)
@@ -61,7 +61,7 @@
 
     ierr = nf90_open ("sulphur_emissions_antro.nc", nf90_nowrite, nid)
-    if (ierr/=nf90_noerr) then
-      write(6, *)' Pb d''ouverture du fichier sulphur_emissions_antro'
-      write(6, *)' ierr = ', ierr
+    if (ierr/=nf90_noerr) THEN
+      WRITE(6, *)' Pb d''ouverture du fichier sulphur_emissions_antro'
+      WRITE(6, *)' ierr = ', ierr
       CALL exit(1)
     endif
@@ -130,7 +130,7 @@
     !=======================================================================
     ierr = nf90_open ("sulphur_emissions_nat.nc", nf90_nowrite, nid)
-    if (ierr/=nf90_noerr) then
-      write(6, *)' Pb d''ouverture du fichier sulphur_emissions_nat'
-      write(6, *)' ierr = ', ierr
+    if (ierr/=nf90_noerr) THEN
+      WRITE(6, *)' Pb d''ouverture du fichier sulphur_emissions_nat'
+      WRITE(6, *)' ierr = ', ierr
       CALL exit(1)
     endif
@@ -185,7 +185,7 @@
     print *, ' Jour = ', jour
     ierr = nf90_open ("sulphur_emissions_volc.nc", nf90_nowrite, nid)
-    if (ierr/=nf90_noerr) then
-      write(6, *)' Pb d''ouverture du fichier sulphur_emissions_volc'
-      write(6, *)' ierr = ', ierr
+    if (ierr/=nf90_noerr) THEN
+      WRITE(6, *)' Pb d''ouverture du fichier sulphur_emissions_volc'
+      WRITE(6, *)' ierr = ', ierr
       CALL exit(1)
     endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90	(revision 5116)
@@ -253,5 +253,5 @@
   INTEGER,DIMENSION(klon) :: maskdustloc
   INTEGER :: i,j,k
-  integer :: iaux
+  INTEGER :: iaux
  
 
@@ -259,5 +259,5 @@
       maskdustloc(k)=0
       do i=1,ntyp
-         if (masklisa(k,i)>0) then
+         if (masklisa(k,i)>0) THEN
              maskdustloc(k)=1
          endif
@@ -332,5 +332,5 @@
 
   logical ::  debutphy
-  real :: diff, auxr1,auxr2,auxr3,auxr4
+  REAL :: diff, auxr1,auxr2,auxr3,auxr4
   real,dimension(klon,nbins) :: itvmean
   real,dimension(klon,nbins+1) :: itv2
@@ -346,7 +346,6 @@
 
 writeaerosoldistrib=.FALSE.
-IF (debutphy) then
-
-  if (sizedustmin>sizeacclow .or. sizedustmax<sizescohigh) then 
+IF (debutphy) THEN
+  if (sizedustmin>sizeacclow .or. sizedustmax<sizescohigh) THEN
    CALL abort_gcm('adaptdustemission', 'Dust range problem',1)
   endif
@@ -360,24 +359,24 @@
   auxr4=9999.
   do i=1,nbins+1
-   if (abs(sizeacclow-itv(i))<auxr1) then
+   if (abs(sizeacclow-itv(i))<auxr1) THEN
           auxr1=abs( sizeacclow-itv(i))
           iminacclow=i
    endif
-   if (abs(sizeacchigh-itv(i))<auxr2) then
+   if (abs(sizeacchigh-itv(i))<auxr2) THEN
           auxr2=abs( sizeacchigh-itv(i))
           iminacchigh=i
           imincoalow=i
    endif
-   if (abs(sizecoahigh-itv(i))<auxr3) then
+   if (abs(sizecoahigh-itv(i))<auxr3) THEN
           auxr3=abs( sizecoahigh-itv(i))
           imincoahigh=i
           iminscolow=i
    endif
-   if (abs(sizescohigh-itv(i))<auxr4) then
+   if (abs(sizescohigh-itv(i))<auxr4) THEN
           auxr4=abs( sizescohigh-itv(i))
           iminscohigh=i
    endif
   enddo
-IF (writeaerosoldistrib) then
+IF (writeaerosoldistrib) THEN
 !JEdbg<<
   do j=1,klon
@@ -468,5 +467,5 @@
 
 !JEdbg<<
-IF (writeaerosoldistrib) then
+IF (writeaerosoldistrib) THEN
   do i=1,nbins
     do j=1,klon
@@ -700,6 +699,5 @@
 
 ! print *,'JEOK2',mpi_rank,omp_rank
-IF ( 1==1 ) then
-
+IF ( 1==1 ) THEN
 ! print *,'JEOK4',mpi_rank,omp_rank
    CALL writefield_phy("SOL",sol,5)
@@ -756,5 +754,5 @@
          dp=dp*exp(dstep)
          sizeclass(i)=dp
-         if(dp>=dmax+eps)goto 30
+         IF(dp>=dmax+eps)goto 30
          newstep(i)=dstep
         ! WRITE(18,*)i,sizeclass(i)
@@ -765,9 +763,9 @@
       PRINT*,'   soil size classes used   ',ncl,' / ',nclass
       PRINT*,'   soil size min: ',sizeclass(1),' soil size max: ',sizeclass(ncl)
-      if(ncl>nclass)stop
+      IF(ncl>nclass)stop
 
 ! Threshold velocity:
-IF (.FALSE.) then
-!if (.TRUE.) then
+IF (.FALSE.) THEN
+!if (.TRUE.) THEN
 !c 0: Iversen and White 1982
        print *,'Using  Iversen and White 1982 Uth'
@@ -776,5 +774,5 @@
             cc=sqrt(1+ddust*(sizeclass(i)**(-2.5)))
             xk=sqrt(abs(rop*gravity*sizeclass(i)/roa))
-            if (bb<10.) then
+            if (bb<10.) THEN
                dd=sqrt(1.928*(bb**0.092)-1.)
                uth(i)=0.129*xk*cc/dd
@@ -786,5 +784,5 @@
          enddo
 END IF
-IF(.TRUE.) then
+IF(.TRUE.) THEN
 ! 1: Shao and Lu 2000
        print *,'Using  Shao and Lu 2000 Uth'
@@ -850,7 +848,7 @@
           do k=1,ntyp
      !     PRINT*,'IKKK ',i,klon,k,ntyp
-             if (zos(i,k)==0..or.z01(i,k)==0.) then
-     !       if (zos(i,k)<=0..or.z01(i,k)<=0.) then
-!              if (zos(i,k)<0..or.z01(i,k)<0.) then
+             if (zos(i,k)==0..or.z01(i,k)==0.) THEN
+     !       if (zos(i,k)<=0..or.z01(i,k)<=0.) THEN
+!              if (zos(i,k)<0..or.z01(i,k)<0.) THEN
      !            PRINT*,'INI DUST WARNING zos ou z01<0',zos(i,k),z01(i,k)
 !              endif
@@ -869,5 +867,5 @@
 ! drag partition between zo1 and zo2
 ! feff: total efficient fraction
-              if(D(i,k)==0.)then
+              IF(D(i,k)==0.)THEN
                  feff(i,k)=cc
    !       PRINT*,'IKKK C ',i,klon,k,ntyp
@@ -887,5 +885,5 @@
         enddo
 ! JE20150120<<
-  if (flag_feff == 0) then
+  if (flag_feff == 0) THEN
     print *,'JE_dbg FORCED deactivated feff'
     do i=1,klon
@@ -898,5 +896,5 @@
 
 
-IF (1==1) then
+IF (1==1) THEN
 !  !  CALL writefield_phy("AA",tmp1(1:klon,1:5),5)
 
@@ -919,5 +917,5 @@
 
 
-!  if (.FALSE.) then
+!  if (.FALSE.) THEN
 !!**************L718
 
@@ -1083,5 +1081,5 @@
       DO k=1,ndistb
         DO nb=1,nbins
-            write(15001,*) k,nb,massfrac(k,nb)
+            WRITE(15001,*) k,nb,massfrac(k,nb)
         ENDDO
       ENDDO
@@ -1242,5 +1240,5 @@
 
                  !IF(n.eq.1.and.nat.eq.99)GOTO 80
-             !      if(n.eq.1) PRINT*,'nat1=',nat,'sol1=',sol(i,n)
+             !      IF(n.eq.1) PRINT*,'nat1=',nat,'sol1=',sol(i,n)
                    IF(n==1.and.nat==99)GOTO 80
 
@@ -1248,5 +1246,5 @@
              IF(.TRUE.) THEN
                 nat=int(sol(i,n))
-                if(n == 1 .and. nat >= 14 .or. nat < 1 .or. nat > 19) GOTO 80
+                IF(n == 1 .and. nat >= 14 .or. nat < 1 .or. nat > 19) GOTO 80
              ENDIF
 !JE20150129>>>>
@@ -1277,5 +1275,5 @@
       do ni=1,kfin
          fdp1=1.-(uth2(ni)/(ceff*ustarsalt))
-         if (fdp1<=0..or.srel2(nat,ni)==0.) then
+         if (fdp1<=0..or.srel2(nat,ni)==0.) THEN
             ad1=0.
             ad2=0.
@@ -1293,8 +1291,8 @@
             t2=0.
             t3=0.
-            if(ec>=e1)t1=1.
-            if(ec>=e2)t2=1.
-            if(ec>=e3)t3=1.
-            if(dfec3/=0.)then
+            IF(ec>=e1)t1=1.
+            IF(ec>=e2)t2=1.
+            IF(ec>=e3)t3=1.
+            IF(dfec3/=0.)THEN
                p1=t1*dfec1/dfec3
                p2=t2*(1.-p1)*dfec2/dfec3
@@ -1405,5 +1403,5 @@
             srel2(nat,kfin)=srel(nat,i)*istep
          enddo
-         if(kfin>=nclass)then
+         IF(kfin>=nclass)THEN
             PRINT*,'$$$$ Tables dimension problem:',kfin,'>',nclass
          endif
@@ -1436,5 +1434,5 @@
       ihalf=int((ismax+ismin)/2.)
       do k2=1,1000000
-          if(ds>siz(ihalf))then
+          IF(ds>siz(ihalf))THEN
              ismin=ihalf
           else
@@ -1443,5 +1441,5 @@
           ihalf=int((ismax+ismin)/2.)
           idiff=ismax-ismin
-          if(idiff<=1)then
+          IF(idiff<=1)THEN
              iout=ismin
              goto 52
@@ -1449,5 +1447,5 @@
       enddo
  52   continue
-      if(iout==0)then
+      IF(iout==0)THEN
         PRINT*,'$$$$ Tables dimension problem: ',iout
       endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/lsc_scav_orig.F90	(revision 5116)
@@ -87,5 +87,5 @@
 !$OMP THREADPRIVATE(alpha_r, alpha_s, R_r, R_s)
   REAL           :: pr, ps, ice, water
-  real :: conserv
+  REAL :: conserv
 
 !!!!!!!!!!!!!!!!!!!! choix lessivage !!!!!!!!!!!!!!!!!!!!!!!!
@@ -98,5 +98,5 @@
 !  inscav_fisrt=.TRUE.
 !  CALL getin('inscav_fisrt',inscav_fisrt)
-!  if(inscav_fisrt) then 
+!  IF(inscav_fisrt) THEN
 !   PRINT*,'beta from fisrtilp.F90, beta = (z_cond - z_oliq)/z_cond, inscav_fisrt=',inscav_fisrt
 !  else
@@ -200,6 +200,6 @@
     DO i=1, klon 
 !  incloud scavenging
-!   if(inscav_fisrt) then 
-   if (iflag_lscav == 4) then
+!   IF(inscav_fisrt) THEN
+   if (iflag_lscav == 4) THEN
       beta=beta_fisrt(i,k)*rneb(i,k)
    else
@@ -217,5 +217,5 @@
 
 !  below-cloud impaction
-    IF(it==1) then
+    IF(it==1) THEN
       d_tr_bcscav(i,k,it)=0.
     ELSE
@@ -234,5 +234,5 @@
       deltaP(i,k)=max(deltaP(i,k),0.)
 
-      if(flxr(i,k+1)+flxs(i,k+1)>1.e-16) then
+      IF(flxr(i,k+1)+flxs(i,k+1)>1.e-16) THEN
        beta_ev(i,k)=deltaP(i,k)/(flxr(i,k+1)+flxs(i,k+1))
       else
@@ -244,5 +244,5 @@
 !jyg
       
-      if(abs(1-(1-frac_ev)*beta_ev(i,k))>1.e-16) then
+      IF(abs(1-(1-frac_ev)*beta_ev(i,k))>1.e-16) THEN
 ! remove tracers from precipitation owing to release by evaporation in his_dh
 !      dxev=frac_ev*beta_ev(i,k)*his_dh(i) *pdtime/(zrho(i,k)*zdz(i,k)) &
@@ -282,5 +282,5 @@
 !                +d_tr_bcscav(i,k,it)*(paprs(i,k)-paprs(i,k+1))/RG  &
 !                +d_tr_evap(i,k,it)*(paprs(i,k)-paprs(i,k+1))/RG
-!      if(it.eq.3) write(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)'),&
+!      IF(it.eq.3) WRITE(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)'),&
 !      k,'lsc conserv ',conserv,'insc',d_tr_insc(i,k,it),'bc',d_tr_bcscav(i,k,it),'ev',d_tr_evap(i,k,it)
 !       ENDDO
